Advisory Details

February 20th, 2020

(Pwn2Own) Samsung Galaxy S10 Call Control Setup Stack-based Buffer Overflow Remote Code Execution Vulnerability

ZDI-20-255
ZDI-CAN-9658

CVE ID CVE-2020-8860
CVSS SCORE 7.1, (AV:A/AC:H/PR:N/UI:R/S:U/C:H/I:H/A:H)
AFFECTED VENDORS Samsung
AFFECTED PRODUCTS Galaxy S10
VULNERABILITY DETAILS

This vulnerability allows remote attackers to execute arbitrary code on affected installations of Samsung Galaxy 10. User interaction is required to exploit this vulnerability in that the target must answer a phone call.

The specific flaw exists within the Call Control Setup messages. The issue results from the lack of proper validation of the length of user-supplied data prior to copying it to a fixed-length, stack-based buffer. An attacker can leverage this vulnerability to execute code in the context of the baseband processor.

ADDITIONAL DETAILS Samsung has issued an update to correct this vulnerability. More details can be found at:
https://security.samsungmobile.com/securityUpdate.smsb
DISCLOSURE TIMELINE
  • 2019-11-07 - Vulnerability reported to vendor
  • 2020-02-20 - Coordinated public release of advisory
  • 2020-02-21 - Advisory Updated
CREDIT @fluoroacetate
BACK TO ADVISORIES